<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_fafafa">

    <FrameLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_16"
            android:src="@drawable/icon_return_b" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/battery_info"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/fl_back"
            app:layout_constraintStart_toEndOf="@id/fl_back"
            app:layout_constraintTop_toTopOf="@id/fl_back" />

    </FrameLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toTopOf="@id/tvBtn"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

    </androidx.recyclerview.widget.RecyclerView>

    <TextView
        android:visibility="invisible"
        android:id="@+id/tvBtn"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_45"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/bg_btn_50"
        android:foreground="?attr/selectableItemBackground"
        android:gravity="center"
        android:text="@string/finish"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_17"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent" />

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation"
        android:visibility="visible"
        tools:visibility="invisible" />

</androidx.constraintlayout.widget.ConstraintLayout>